Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page

# EqualityComparable Struct Template Reference
[Basic Concepts]

`#include <gil_concept.hpp>`

List of all members.

## Detailed Description

### template<typename T>
struct boost::gil::EqualityComparable< T >

    auto concept EqualityComparable<typename T, typename U = T> {
        bool operator==(T x, T y);
        bool operator!=(T x, T y) { return !(x==y); }
    };

## Public Member Functions

void | constraints ()

The documentation for this struct was generated from the following file:

- gil_concept.hpp